Skip to main content

Notice

Please note that most of the software linked on this forum is likely to be safe to use. If you are unsure, feel free to ask in the relevant topics, or send a private message to an administrator or moderator. To help curb the problems of false positives, or in the event that you do find actual malware, you can contribute through the article linked here.
Recent Posts
91
CUETools / Re: How to set up libFLAC on Cuetools 2.1.9?
Last post by dpr -
I'm having a problem with libflac as well - see below when I try to encode. using libflac. There is an error
"Exception: The type initializer for 'CUETools.Codecs.libFLAC.FLAC.DLL' threw an exception: Dll was not found

(I have followed the instructions and done the fix.)

On 2.1.6,
CUETools.Codec.FLAC.dll is in plugins(x64)

On 2.1.9, it is not there. Instead there is a file call libFLAC_dynamic.dll which is not in 2.1.6

(I'm on windows 10)

Any ideas?
Thanks
dpr

94
Support - (fb2k) / Re: v1.6.7 beta 17: Changing hardware buffer of exclusive output causes BSoD
Last post by KK -
If "overrides" checkbox is off, the rest of settings are disregarded / known good values are detected automatically.
"Use event" is equivalent to toggling of event/push modes in the old WASAPI plug-in.

Again, you should NOT need these settings.
If defaults (overrides off) fail, please report full device name and a combo of settings that works properly on it.
Thanks again. Now default settings work fine without any problems.
96
Support - (fb2k) / Re: v1.6.7 beta 17: Changing hardware buffer of exclusive output causes BSoD
Last post by Peter -
If "overrides" checkbox is off, the rest of settings are disregarded / known good values are detected automatically.
"Use event" is equivalent to toggling of event/push modes in the old WASAPI plug-in.

Again, you should NOT need these settings.
If defaults (overrides off) fail, please report full device name and a combo of settings that works properly on it.
98
3rd Party Plugins - (fb2k) / Re: foo_uie_lyrics3
Last post by veksha -
Hello,
I have always appreciated the availability of lyrics directly within my foobar2000 UI, though it looks like the component does not work anymore, no lyrics can be found whatsoever. Is there maybe a bug or is it just me?
Thank you

foo_uie_lyrics3 will not find lyrics by itself anymore. try installing foo_multisource to add new sources to foo_uie_lyrics3 that will work.
see link in my previous message. (install v0.51, if will not work then install v0.50)

foo_uie_lyrics3 is abandoned by its author. the only way to make it work is to use plugins like foo_multisource.

OR you can consider new plugin foo_openlyrics. it can totally replace foo_uie_lyrics3 for you.
99
Support - (fb2k) / Re: v1.6.7 beta 16: exclusive-mode output unrecoverable playback error with 352.8kHz
Last post by redrose -
Problem persists with 1.6.7 beta 17.
same here. Had to revert to beta 2.
Interestingly, for me beta 2 also works. I tried from there to go up every beta version, and beta 7 is the first one that breaks it. Up until beta 6 352.8 kHz output works normally with XMOS drivers. The changelog says at beta 7 'Rewritten exclusive-mode WASAPI output from scratch.' so I guess there the problem must be.

Works For Me

Old version attempted initializing playback with the intended specs without asking if the format is supported - new version asks politely first to negotiate the format, which should be all the same unless your driver is broken.

I guess I must have encountered this behavior before, hence the old version did what it did.
Thanks for the advice. I do have the XMOS driver (version 4.11.0, the latest Grace Design offers for my device) installed, because this makes it possible to use ASIO.
I have tried uninstalling the XMOS drivers, falling back to the Windows default USB Audio 2.0 Class drivers, and indeed, then playing 352.8 kHz works without problems again! So apparently, even though the device supports higher-than-192-kHz playback, the driver probably has some leftover bits somewhere saying that it doesn't.

The XMOS USB chip is ubiquitous: many many USB DACs use it. While the devices work well with the default Windows driver, ASIO is not supported in that case. Perhaps it doesn't have to be if WASAPI works flawlessly; nonetheless I think many users like to have the possibility to use both WASAPI and ASIO, for example for DSD playback with the external SACD plugin.
When the final version of 1.6.7 comes out, do you intend to still allow the old WASAPI plugin to be used? Because that one allows higher-than-192-kHz playback AND the user's choice of WASAPI or ASIO. The current 1.6.7, beta 7 and later, do not: the user must choose between ASIO support with the XMOS driver, OR fully functional WASAPI support with the default Windows driver.
I guess the real question is: do you intend to implement the same workaround in the final 1.6.7 as currently exists in the old WASAPI plugin? Or do you intend to break the XMOS devices by leaving the workaround out of the final version?
100
3rd Party Plugins - (fb2k) / Re: foo_uie_lyrics3
Last post by Vexx23 -
Hello,

I have always appreciated the availability of lyrics directly within my foobar2000 UI, though it looks like the component does not work anymore, no lyrics can be found whatsoever. Is there maybe a bug or is it just me?

Thank you
SimplePortal 1.0.0 RC1 © 2008-2021